package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ProductImage;


/**
*  service接口类
*/
public interface ProductImageService{

    List<ProductImage> getProductImageList(ProductImage record);

    List<ProductImage> getProductImageByPage(Page page, ProductImage record);

    ProductImage getProductImageById(String id);

    ProductImage getProductImage(ProductImage record);

    boolean createProductImage(ProductImage record);

    boolean deleteProductImage(String id);

    boolean updateProductImage(ProductImage record);
}

